diff -ur Ancient Arabia 2007/Assets/Python/CvEventManager.py LoAA-patch8/Assets/Python/CvEventManager.py
--- Ancient Arabia 2007/Assets/Python/CvEventManager.py	2012-07-12 09:57:47.000000000 -0500
+++ LoAA-patch8/Assets/Python/CvEventManager.py	2012-06-17 04:28:22.000000000 -0500
@@ -6,7 +6,6 @@
 ## The argsList can contain anything from mouse location to key info
 ## The EVENTLIST that are being notified can be found 
 
-
 from CvPythonExtensions import *
 import CvUtil
 import CvScreensInterface
@@ -511,6 +510,51 @@
 		city = argsList[0]
 		unit = argsList[1]
 		player = PyPlayer(city.getOwner())
+		# This is a nerf for the too powerful Arabian Merchant unit
+		# In the 2007 release of Legends of Ancient Arabia, you're
+		# allowed to build as many of these as you want.  Each of
+		# these units gives you 600 gold as soon as it lands in 
+		# another tribe's city, and you can send as many merchants
+		# to the same city as you want.  The limitation is three 
+		# units, but only three units alive at one time.  Once a 
+		# given merchant gives us 600 gold, we can make another one
+		# and be earning 600 gold every couple of turns.
+		# This is a game-breaking mechanic, so I'm nerfing it by
+		# only allowing three merchants to ever be built for 
+		# each player.
+		if unit.getName() == "Arabian Merchant":
+			# You're allowed to store a single string per
+			# player.  Normally, one uses pickle 
+			# to convert this in to hierarchial data, but since 
+			# this is a hack to make up for Civ4's lack of 
+			# CyPlayer.getUnitClassCreatedCount() (it only
+			# has that on a global game level, not for each
+			# player), I'm keeing this simple
+			amp = city.getOwner()
+			amb = gc.getPlayer(amp).getScriptData()
+			try:
+				amb = int(amb)
+			except:
+				amb = 0
+			#print "amb is " + str(amb) ##DEBUG
+			amb += 1
+			if amb == 3:
+				CyInterface().addMessage(amp,True,5,
+		"The final Arabian merchant has been built","",0,
+		gc.getUnitInfo(unit.getUnitType()).getButton(), 
+		0, unit.getX(), unit.getY(), False, False)
+			elif(amb > 3):
+				# Hack; too slow for cannotTrain()
+				# We just have the game report a new 
+				# merchant has been built but immediately
+				# remove the merchant from play
+				CyInterface().addMessage(amp,True,5,
+	        "No more Arabian merchants can be built; unit disbanded",
+				"",0,
+		gc.getUnitInfo(unit.getUnitType()).getButton(), 
+		0, unit.getX(), unit.getY(), False, False)
+				unit.kill(False, unit.getOwner())
+			gc.getPlayer(amp).setScriptData(str(amb))
 
 		CvAdvisorUtils.unitBuiltFeats(city, unit)
 		
diff -ur Ancient Arabia 2007/Assets/XML/Civilizations/CIV4CivilizationInfos.xml LoAA-patch8/Assets/XML/Civilizations/CIV4CivilizationInfos.xml
--- Ancient Arabia 2007/Assets/XML/Civilizations/CIV4CivilizationInfos.xml	2012-07-12 09:57:47.000000000 -0500
+++ LoAA-patch8/Assets/XML/Civilizations/CIV4CivilizationInfos.xml	2012-07-12 09:50:18.000000000 -0500
@@ -15,8 +15,8 @@
 			<DefaultPlayerColor>PLAYERCOLOR_BLUE</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_PERSIA</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_MIDDLE_EAST</ArtStyleType>
-			<bPlayable>1</bPlayable>
-			<bAIPlayable>1</bAIPlayable>
+			<bPlayable>0</bPlayable>
+			<bAIPlayable>0</bAIPlayable>
 			<Cities>
 				<City>TXT_KEY_CITY_NAME_ECBATANA</City>
 				<City>TXT_KEY_CITY_NAME_ARBELA</City>
@@ -350,8 +350,8 @@
 			<DefaultPlayerColor>PLAYERCOLOR_DARK_PURPLE</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_ROME</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_GRECO_ROMAN</ArtStyleType>
-			<bPlayable>1</bPlayable>
-			<bAIPlayable>1</bAIPlayable>
+			<bPlayable>0</bPlayable>
+			<bAIPlayable>0</bAIPlayable>
 			<Cities>
 				<City>Nicomedia</City>
 				<City>Nicaea</City>
@@ -644,8 +644,8 @@
 			<DefaultPlayerColor>PLAYERCOLOR_DARK_RED</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_RUSSIA</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_EUROPEAN</ArtStyleType>
-			<bPlayable>1</bPlayable>
-			<bAIPlayable>1</bAIPlayable>
+			<bPlayable>0</bPlayable>
+			<bAIPlayable>0</bAIPlayable>
 			<Cities>
 				<City>TXT_KEY_CITY_NAME_MOSCOW</City>
 				<City>TXT_KEY_CITY_NAME_STPETERSBURG</City>
@@ -729,17 +729,9 @@
 			</InitialCivics>
 			<Leaders>
 				<Leader>
-					<LeaderName>LEADER_PETER</LeaderName>
-					<bLeaderAvailability>1</bLeaderAvailability>
-				</Leader>
-				<Leader>
 					<LeaderName>LEADER_CATHERINE</LeaderName>
 					<bLeaderAvailability>1</bLeaderAvailability>
 				</Leader>
-				<Leader>
-					<LeaderName>LEADER_STALIN</LeaderName>
-					<bLeaderAvailability>1</bLeaderAvailability>
-				</Leader>
 			</Leaders>
 			<CivilizationSelectionSound>AS3D_RUSSIA_SELECT</CivilizationSelectionSound>
 			<CivilizationActionSound>AS3D_RUSSIA_ORDER</CivilizationActionSound>
@@ -753,8 +745,8 @@
 			<DefaultPlayerColor>PLAYERCOLOR_PINK</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_SPAIN</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_EUROPEAN</ArtStyleType>
-			<bPlayable>1</bPlayable>
-			<bAIPlayable>1</bAIPlayable>
+			<bPlayable>0</bPlayable>
+			<bAIPlayable>0</bAIPlayable>
 			<Cities>
 				<City>TXT_KEY_CITY_NAME_MADRID</City>
 				<City>TXT_KEY_CITY_NAME_BARCELONA</City>
@@ -832,7 +824,7 @@
 			</InitialCivics>
 			<Leaders>
 				<Leader>
-					<LeaderName>LEADER_ISABELLA</LeaderName>
+					<LeaderName>LEADER_BARBARIAN</LeaderName>
 					<bLeaderAvailability>1</bLeaderAvailability>
 				</Leader>
 			</Leaders>
@@ -848,8 +840,8 @@
 			<DefaultPlayerColor>PLAYERCOLOR_LIGHT_PURPLE</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_VIKINGS</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_EUROPEAN</ArtStyleType>
-			<bPlayable>1</bPlayable>
-			<bAIPlayable>1</bAIPlayable>
+			<bPlayable>0</bPlayable>
+			<bAIPlayable>0</bAIPlayable>
 			<Cities>
 				<City>TXT_KEY_CITY_NAME_NIDAROS</City>
 				<City>TXT_KEY_CITY_NAME_UPPSALA</City>
@@ -951,8 +943,8 @@
 			<DefaultPlayerColor>PLAYERCOLOR_LIGHT_YELLOW</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_ZULU</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_MIDDLE_EAST</ArtStyleType>
-			<bPlayable>1</bPlayable>
-			<bAIPlayable>1</bAIPlayable>
+			<bPlayable>0</bPlayable>
+			<bAIPlayable>0</bAIPlayable>
 			<Cities>
 				<City>TXT_KEY_CITY_NAME_ULUNDI</City>
 				<City>TXT_KEY_CITY_NAME_UMGUNGUNDLOVU</City>
@@ -1763,8 +1755,8 @@
 			<DefaultPlayerColor>PLAYERCOLOR_LIGHT_GREEN</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_ARABIA</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_MIDDLE_EAST</ArtStyleType>
-			<bPlayable>1</bPlayable>
-			<bAIPlayable>1</bAIPlayable>
+			<bPlayable>0</bPlayable>
+			<bAIPlayable>0</bAIPlayable>
 			<Cities>
 				<City>TXT_KEY_CITY_NAME_CHEROKEE</City>
 				<City>TXT_KEY_CITY_NAME_ANASAZI</City>
@@ -1901,10 +1893,10 @@
 		<CivilizationInfo>
 			<Type>CIVILIZATION_LAKHMID_KINGDOM</Type>
 			<Description>Lakhmid Kingdom</Description>
-			<ShortDescription>TXT_KEY_CIV_ARABIA_SHORT_DESC</ShortDescription>
+			<ShortDescription>Lakhma</ShortDescription>
 			<Adjective>Lakhmid</Adjective>
 			<Civilopedia>TXT_KEY_CIV_ARABIA_PEDIA</Civilopedia>
-			<DefaultPlayerColor>PLAYERCOLOR_LIGHT_GREEN</DefaultPlayerColor>
+			<DefaultPlayerColor>PLAYERCOLOR_PEACH</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_ARABIA</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_MIDDLE_EAST</ArtStyleType>
 			<bPlayable>1</bPlayable>
@@ -2123,7 +2115,7 @@
 			</InitialCivics>
 			<Leaders>
 				<Leader>
-					<LeaderName>LEADER_BARBARIAN</LeaderName>
+					<LeaderName>LEADER_BRENNUS</LeaderName>
 					<bLeaderAvailability>1</bLeaderAvailability>
 				</Leader>
 			</Leaders>
@@ -2133,10 +2125,10 @@
 		<CivilizationInfo>
 			<Type>CIVILIZATION_GHASSANID_KINGDOM</Type>
 			<Description>Ghassanid Kingdom</Description>
-			<ShortDescription>TXT_KEY_CIV_ARABIA_SHORT_DESC</ShortDescription>
+			<ShortDescription>Ghassana</ShortDescription>
 			<Adjective>Ghassanid</Adjective>
 			<Civilopedia>TXT_KEY_CIV_ARABIA_PEDIA</Civilopedia>
-			<DefaultPlayerColor>PLAYERCOLOR_LIGHT_GREEN</DefaultPlayerColor>
+			<DefaultPlayerColor>PLAYERCOLOR_DARK_GREEN</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_ARABIA</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_MIDDLE_EAST</ArtStyleType>
 			<bPlayable>1</bPlayable>
@@ -2351,7 +2343,7 @@
 			</InitialCivics>
 			<Leaders>
 				<Leader>
-					<LeaderName>LEADER_BARBARIAN</LeaderName>
+					<LeaderName>LEADER_PETER</LeaderName>
 					<bLeaderAvailability>1</bLeaderAvailability>
 				</Leader>
 			</Leaders>
@@ -2361,10 +2353,10 @@
 		<CivilizationInfo>
 			<Type>CIVILIZATION_BAHRAYNI_SHEIKDOM</Type>
 			<Description>Bahrayni Sheikdom</Description>
-			<ShortDescription>TXT_KEY_CIV_ARABIA_SHORT_DESC</ShortDescription>
+			<ShortDescription>Bahrayni</ShortDescription>
 			<Adjective>Bahrayni</Adjective>
 			<Civilopedia>TXT_KEY_CIV_ARABIA_PEDIA</Civilopedia>
-			<DefaultPlayerColor>PLAYERCOLOR_LIGHT_GREEN</DefaultPlayerColor>
+			<DefaultPlayerColor>PLAYERCOLOR_DARK_BLUE</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_ARABIA</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_MIDDLE_EAST</ArtStyleType>
 			<bPlayable>1</bPlayable>
@@ -2579,7 +2571,7 @@
 			</InitialCivics>
 			<Leaders>
 				<Leader>
-					<LeaderName>LEADER_BARBARIAN</LeaderName>
+					<LeaderName>LEADER_NAPOLEON</LeaderName>
 					<bLeaderAvailability>1</bLeaderAvailability>
 				</Leader>
 			</Leaders>
@@ -2589,10 +2581,10 @@
 		<CivilizationInfo>
 			<Type>CIVILIZATION_SABAEAN_KINGDOM</Type>
 			<Description>Sabaean Kingdom</Description>
-			<ShortDescription>TXT_KEY_CIV_ARABIA_SHORT_DESC</ShortDescription>
+			<ShortDescription>Sabaea</ShortDescription>
 			<Adjective>Sabaean</Adjective>
 			<Civilopedia>TXT_KEY_CIV_ARABIA_PEDIA</Civilopedia>
-			<DefaultPlayerColor>PLAYERCOLOR_LIGHT_GREEN</DefaultPlayerColor>
+			<DefaultPlayerColor>PLAYERCOLOR_GRAY</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_ARABIA</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_MIDDLE_EAST</ArtStyleType>
 			<bPlayable>1</bPlayable>
@@ -2806,7 +2798,7 @@
 			</InitialCivics>
 			<Leaders>
 				<Leader>
-					<LeaderName>LEADER_BARBARIAN</LeaderName>
+					<LeaderName>LEADER_ELIZABETH</LeaderName>
 					<bLeaderAvailability>1</bLeaderAvailability>
 				</Leader>
 			</Leaders>
@@ -2816,12 +2808,12 @@
 		<CivilizationInfo>
 			<Type>CIVILIZATION_PALMYRAN_EMPIRE</Type>
 			<Description>Palmyran Empire</Description>
-			<ShortDescription>TXT_KEY_CIV_ARABIA_SHORT_DESC</ShortDescription>
+			<ShortDescription>Palmyra</ShortDescription>
 			<Adjective>Palmyran</Adjective>
 			<Civilopedia>TXT_KEY_CIV_ROME_PEDIA</Civilopedia>
-			<DefaultPlayerColor>PLAYERCOLOR_DARK_PURPLE</DefaultPlayerColor>
+			<DefaultPlayerColor>PLAYERCOLOR_DARK_YELLOW</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_ROME</ArtDefineTag>
-			<ArtStyleType>ARTSTYLE_GRECO_ROMAN</ArtStyleType>
+			<ArtStyleType>ARTSTYLE_MIDDLE_EAST</ArtStyleType>
 			<bPlayable>1</bPlayable>
 			<bAIPlayable>1</bAIPlayable>
 			<Cities>
@@ -3056,8 +3048,8 @@
 			<DefaultPlayerColor>PLAYERCOLOR_PEACH</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_MALI</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_MIDDLE_EAST</ArtStyleType>
-			<bPlayable>1</bPlayable>
-			<bAIPlayable>1</bAIPlayable>
+			<bPlayable>0</bPlayable>
+			<bAIPlayable>0</bAIPlayable>
 			<Cities>
 				<City>Meroe</City>
 				<City>Axum</City>
@@ -3290,10 +3282,10 @@
 		<CivilizationInfo>
 			<Type>CIVILIZATION_QATABAN_KINGDOM</Type>
 			<Description>Qataban Kingdom</Description>
-			<ShortDescription>TXT_KEY_CIV_ARABIA_SHORT_DESC</ShortDescription>
+			<ShortDescription>Qataba</ShortDescription>
 			<Adjective>Qataban</Adjective>
 			<Civilopedia>TXT_KEY_CIV_ARABIA_PEDIA</Civilopedia>
-			<DefaultPlayerColor>PLAYERCOLOR_LIGHT_GREEN</DefaultPlayerColor>
+			<DefaultPlayerColor>PLAYERCOLOR_CYAN</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_ARABIA</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_MIDDLE_EAST</ArtStyleType>
 			<bPlayable>1</bPlayable>
@@ -3510,7 +3502,7 @@
 			</InitialCivics>
 			<Leaders>
 				<Leader>
-					<LeaderName>LEADER_BARBARIAN</LeaderName>
+					<LeaderName>LEADER_ISABELLA</LeaderName>
 					<bLeaderAvailability>1</bLeaderAvailability>
 				</Leader>
 			</Leaders>
@@ -3520,10 +3512,10 @@
 		<CivilizationInfo>
 			<Type>CIVILIZATION_HIJAZI_KINGDOM</Type>
 			<Description>Hijazi Kingdom</Description>
-			<ShortDescription>TXT_KEY_CIV_ARABIA_SHORT_DESC</ShortDescription>
-			<Adjective>Qataban</Adjective>
+			<ShortDescription>Hijaz</ShortDescription>
+			<Adjective>Hijazi</Adjective>
 			<Civilopedia>TXT_KEY_CIV_ARABIA_PEDIA</Civilopedia>
-			<DefaultPlayerColor>PLAYERCOLOR_LIGHT_GREEN</DefaultPlayerColor>
+			<DefaultPlayerColor>PLAYERCOLOR_RED</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_ARABIA</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_MIDDLE_EAST</ArtStyleType>
 			<bPlayable>1</bPlayable>
@@ -3740,7 +3732,7 @@
 			</InitialCivics>
 			<Leaders>
 				<Leader>
-					<LeaderName>LEADER_BARBARIAN</LeaderName>
+					<LeaderName>LEADER_GENGHIS_KHAN</LeaderName>
 					<bLeaderAvailability>1</bLeaderAvailability>
 				</Leader>
 			</Leaders>
@@ -3756,8 +3748,8 @@
 			<DefaultPlayerColor>PLAYERCOLOR_CYAN</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_PERSIA</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_MIDDLE_EAST</ArtStyleType>
-			<bPlayable>1</bPlayable>
-			<bAIPlayable>1</bAIPlayable>
+			<bPlayable>0</bPlayable>
+			<bAIPlayable>0</bAIPlayable>
 			<Cities>
 				<City>Nineveh</City>
 				<City>Nimrud</City>
@@ -4076,10 +4068,10 @@
 		<CivilizationInfo>
 			<Type>CIVILIZATION_OMANI</Type>
 			<Description>Omani Sheikdom</Description>
-			<ShortDescription>TXT_KEY_CIV_ARABIA_SHORT_DESC</ShortDescription>
+			<ShortDescription>Oman</ShortDescription>
 			<Adjective>Omani</Adjective>
 			<Civilopedia>TXT_KEY_CIV_ARABIA_PEDIA</Civilopedia>
-			<DefaultPlayerColor>PLAYERCOLOR_LIGHT_GREEN</DefaultPlayerColor>
+			<DefaultPlayerColor>PLAYERCOLOR_PURPLE</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_ARABIA</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_MIDDLE_EAST</ArtStyleType>
 			<bPlayable>1</bPlayable>
@@ -4295,7 +4287,7 @@
 			</InitialCivics>
 			<Leaders>
 				<Leader>
-					<LeaderName>LEADER_BARBARIAN</LeaderName>
+					<LeaderName>LEADER_GANDHI</LeaderName>
 					<bLeaderAvailability>1</bLeaderAvailability>
 				</Leader>
 			</Leaders>
@@ -4305,10 +4297,10 @@
 		<CivilizationInfo>
 			<Type>CIVILIZATION_HADHRAMAWTI</Type>
 			<Description>Hadhramawti Kingdom</Description>
-			<ShortDescription>TXT_KEY_CIV_ARABIA_SHORT_DESC</ShortDescription>
-			<Adjective>Omani</Adjective>
+			<ShortDescription>Hadhramawt</ShortDescription>
+			<Adjective>Hadhramawti</Adjective>
 			<Civilopedia>TXT_KEY_CIV_ARABIA_PEDIA</Civilopedia>
-			<DefaultPlayerColor>PLAYERCOLOR_LIGHT_GREEN</DefaultPlayerColor>
+			<DefaultPlayerColor>PLAYERCOLOR_DARK_PINK</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_ARABIA</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_MIDDLE_EAST</ArtStyleType>
 			<bPlayable>1</bPlayable>
@@ -4524,7 +4516,7 @@
 			</InitialCivics>
 			<Leaders>
 				<Leader>
-					<LeaderName>LEADER_BARBARIAN</LeaderName>
+					<LeaderName>LEADER_STALIN</LeaderName>
 					<bLeaderAvailability>1</bLeaderAvailability>
 				</Leader>
 			</Leaders>
@@ -4540,8 +4532,8 @@
 			<DefaultPlayerColor>PLAYERCOLOR_LIGHT_GREEN</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_ARABIA</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_MIDDLE_EAST</ArtStyleType>
-			<bPlayable>1</bPlayable>
-			<bAIPlayable>1</bAIPlayable>
+			<bPlayable>0</bPlayable>
+			<bAIPlayable>0</bAIPlayable>
 			<Cities>
 				<City>Petra</City>
 				<City>Timna</City>
@@ -4768,8 +4760,8 @@
 			<DefaultPlayerColor>PLAYERCOLOR_LIGHT_GREEN</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_ARABIA</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_MIDDLE_EAST</ArtStyleType>
-			<bPlayable>1</bPlayable>
-			<bAIPlayable>1</bAIPlayable>
+			<bPlayable>0</bPlayable>
+			<bAIPlayable>0</bAIPlayable>
 			<Cities>
 				<City>Thamud</City>
 				<City>Salalah</City>
@@ -4996,8 +4988,8 @@
 			<DefaultPlayerColor>PLAYERCOLOR_YELLOW</DefaultPlayerColor>
 			<ArtDefineTag>ART_DEF_CIVILIZATION_EGYPT</ArtDefineTag>
 			<ArtStyleType>ARTSTYLE_MIDDLE_EAST</ArtStyleType>
-			<bPlayable>1</bPlayable>
-			<bAIPlayable>1</bAIPlayable>
+			<bPlayable>0</bPlayable>
+			<bAIPlayable>0</bAIPlayable>
 			<Cities>
 				<City>TXT_KEY_CITY_NAME_THEBES</City>
 				<City>TXT_KEY_CITY_NAME_MEMPHIS</City>
diff -ur Ancient Arabia 2007/Assets/XML/Terrain/CIV4BonusInfos.xml LoAA-patch8/Assets/XML/Terrain/CIV4BonusInfos.xml
--- Ancient Arabia 2007/Assets/XML/Terrain/CIV4BonusInfos.xml	2012-07-12 09:57:47.000000000 -0500
+++ LoAA-patch8/Assets/XML/Terrain/CIV4BonusInfos.xml	2012-06-12 05:34:24.000000000 -0500
@@ -621,7 +621,12 @@
 			<bFlatlands>1</bFlatlands>
 			<bNoRiverSide>0</bNoRiverSide>
 			<bNormalize>1</bNormalize>
-			<TerrainBooleans/>
+			<TerrainBooleans>
+				<TerrainBoolean>
+					<TerrainType>TERRAIN_DESERT</TerrainType>
+					<bTerrain>1</bTerrain>
+				</TerrainBoolean>
+			</TerrainBooleans>
 			<FeatureBooleans>
 				<FeatureBoolean>
 					<FeatureType>FEATURE_JUNGLE</FeatureType>
@@ -724,7 +729,12 @@
 			<bFlatlands>1</bFlatlands>
 			<bNoRiverSide>1</bNoRiverSide>
 			<bNormalize>1</bNormalize>
-			<TerrainBooleans/>
+			<TerrainBooleans>
+				<TerrainBoolean>
+					<TerrainType>TERRAIN_DESERT</TerrainType>
+					<bTerrain>1</bTerrain>
+				</TerrainBoolean>
+			</TerrainBooleans>
 			<FeatureBooleans/>
 			<FeatureTerrainBooleans/>
 			<bUseLSystem>1</bUseLSystem>
@@ -1714,7 +1724,12 @@
 			<bFlatlands>1</bFlatlands>
 			<bNoRiverSide>0</bNoRiverSide>
 			<bNormalize>1</bNormalize>
-			<TerrainBooleans/>
+			<TerrainBooleans>
+				<TerrainBoolean>
+					<TerrainType>TERRAIN_DESERT</TerrainType>
+					<bTerrain>1</bTerrain>
+				</TerrainBoolean>
+			</TerrainBooleans>
 			<FeatureBooleans>
 				<FeatureBoolean>
 					<FeatureType>FEATURE_JUNGLE</FeatureType>
diff -ur Ancient Arabia 2007/Assets/XML/Units/CIV4UnitInfos.xml LoAA-patch8/Assets/XML/Units/CIV4UnitInfos.xml
--- Ancient Arabia 2007/Assets/XML/Units/CIV4UnitInfos.xml	2012-07-12 09:57:47.000000000 -0500
+++ LoAA-patch8/Assets/XML/Units/CIV4UnitInfos.xml	2012-06-11 18:44:22.000000000 -0500
@@ -1110,6 +1110,10 @@
 					<BuildType>BUILD_REMOVE_FOREST</BuildType>
 					<bBuild>1</bBuild>
 				</Build>
+				<Build>
+					<BuildType>BUILD_WINDMILL</BuildType>
+					<bBuild>1</bBuild>
+				</Build>
 			</Builds>
 			<ReligionSpreads/>
 			<GreatPeoples/>
